<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 *          Dietmar Rieder, dietmar.rieder@tugraz.at
 * Date   :
 */

  require_once("config/main_config.inc.php");
  require_once("inc/authentication_header.php");
  require_once("inc/lib_include.php");
  if (array_key_exists('dir',$_GET))
  {
     $dir=$_GET['dir'];
  }
  if (array_key_exists('dir',$_POST) &&(!isset($dir)))
  {
     $dir=$_POST['dir'];
  }
  if (isset($dir))
  {
     $dir=urldecode($dir);
  }

  if (array_key_exists('action',$_GET))
  {
    $action=$_GET['action'];
  }
  if (array_key_exists('action',$_POST) &&(!isset($action)))
  {
    $action=$_POST['action'];
  }
  if (!isset($action))
  {
     $action="nothing";
  }


  if (array_key_exists('jobs_to_delete',$_POST))
  {
    $jobs_to_delete=$_POST['jobs_to_delete'];
  }
  $job_view=new view_jobs($_SESSION['PHP_AUTH_USER']);

if(!isset($_SESSION['admin_user']))
{
    $s_id = session_id();
    session_unset();
    session_destroy();
    $url = $config['DEFAULT_URL'] . "?session=" . $s_id;
    setcookie("PHPSESSID", "", time() - 3600, "/");
    Header("Location: $url");
    exit;
}

?>

<html>
<head>

  <title>QUEUE JOB ACTION</title>
  <?php
    if ( strcmp($action, "details" )==0 )
    {
      if (isset($dir))
      {
	$job=$job_view->readJobDescription($dir);
	if (! file_exists ($job["done_file"])) echo "<META http-equiv=\"refresh\" content=\"".$config['DEFAULT_REFRESH_TIME'].";url=admin_job_actions.php?action=$action&dir=$dir\">\n";
      }
    }
  ?>
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link REL="STYLESHEET" HREF="Genome.css" type="text/css">
</head>
<body bgcolor=white  >

<?php
  echo "<hr><table border=0><tr><td>$action</td><td>&nbsp;&nbsp;</td><td><a href=\"show_current_jobs.php\" target=arbeit> Back</a> </td></table><hr>";


  if ( strcmp($action, "details" )==0 )
  {
    $job=$job_view->readJobDescription($dir);
    if (! file_exists ($job["done_file"]) && ($config['DISABLE_MONITOR_']="FALSE"))
    {
       $job_view->printNodes($job);
       echo "<hr>";
    }
    $job_view->printJobasText($job);
  }

  elseif ( strcmp($action, "download" )==0 )
  {
    // $job=$job_view->readJobDescription($dir);
    // $job_view->printPBSOutputasText($job);
    // $job_view->printJobasText($job);
    echo "DOWNLOAD HAS BEEN DONE!!!!!!!!!!!!!!!!!!!!!!!!!!!";

  }

  elseif ( strcmp($action, "delete_job" )==0 )
  {
    $job=new basic_job_class($_SESSION['$PHP_AUTH_USER']);    
    $to_del_job=$job_view->readJobDescription($dir);
    $job->deleteJob( $to_del_job );
  }

  elseif ( strcmp($action, "show_queue_output" )==0 )
  {
    $job=$job_view->readJobDescription($dir);
    $job_view->printPBSOutputasText($job);
  }

  elseif ( strcmp($action, "show_input" )==0 )
  {
    $job=new basic_job_class($_SESSION['$PHP_AUTH_USER']);    
    $show_job=$job_view->readJobDescription($dir);
    if (is_readable ($show_job[input_file])) 
    {
      $input_file=file($show_job[input_file]);
      echo "\n<pre>\n";
      // foreach($input_file as $line) echo "$line";
      foreach($input_file as $line)
      {
           echo strip_tags($line);
      }
      echo "\n</pre>\n";
    }
  }
  elseif (isset($jobs_to_delete))
  {
    foreach($jobs_to_delete as $job_path)
    {
      echo "<br>".urldecode($job_path);
      $job=new basic_job_class($_SESSION['$PHP_AUTH_USER']);    
      $to_del_job=$job_view->readJobDescription(urldecode($job_path));
      $job->deleteJob($to_del_job);
    }
  }
  else
  {
    echo "NOTHING HAS BEEN DONE!!!!!!!!!!!!!!!!!!!!!!!!!!!1111";  
  }

  echo "\n<br> <hr><a href=\"show_current_jobs.php\" target=arbeit> Back</a><hr>";
?>
  
</body>
</html>
