<?php

 /*
  * Project: ClusterControl
  * Version: 2.0
  * Authors: Gernot Stocker, gernot.stocker@tugraz.at
  *          Dietmar Rieder, dietmar.reider@tugraz.at
  * Date   :
  * Description
  */
 
  ###############################################################################
  #
  # SGE CONFIGURATION SECTION
  #
  ###############################################################################
  #
  # Path to the SGE binaries for jobsubmission and control
  #
  $config['sge_qsub_command_']       = '/opt/gridengine/bin/glinux/qsub';
  $config['sge_qstat_command_']      = '/opt/gridengine/bin/glinux/qstat';
  $config['sge_nodes_command_']   = '';
  #
  # Default setting, how many nodes are used for parallel application if there
  # is nothing specified
  #
  $config['sge_default_nodes_amount_']      = "7";        
  #
  # Path to the MPICH starting command
  #
  $config['sge_mpirun_command_']     = '/master/software/mpi/bin/mpirun';
  #
  # Directory where all jobs from the users are stored, EDIT THIS PATH!!!!!!!!
  #
  $config['sge_jobs_dir_']           = '/home/apache/clustercontrol/sge-jobs';
  
  #
  # Shell templates that are used to create the start scripts for the job submission
  # Dont change the PBS specific templates unless you know what you are doing.
  #
  $config['sge_input_template_']     = $config['INC_PATH_'] . "/sge_script_template.sh";
  $config['sge_shell_settings_']     = $config['INC_PATH_'] . "/bashrc.sh";

?>
