#
#  LOCAL SCRIPT TEMPLATE
#
#### Queue name (small, medium, long, verylong)
#PBS -q ##-QUEUENAME-##
#
#  Job of ##-USERNAME-## at ##-WORKDIRECTORY-##
#
#### Jobdescription at qstat
#PBS -N ##-DESCRIPTION-##
#
#### Mail to user
#PBS -m be
#
#### Number of nodes (node property ev6 wanted)
#PBS -l nodes=##-NODES-##
#
#### Error Outputfile
#PBS -e ##-STD_ERRORFILE-##
#
#### Outputfile
#PBS -o ##-STD_OUTPUTFILE-##
#
#
#### Resubmit
#PBS -r y
#
#
#### Environment variables
if [ -f "##-QUEUEDFILE-##" ]; then
  rm -f ##-QUEUEDFILE-##
fi

#
# SRS Environment
#
if [ -z "$SRSROOT" ]; then
SRSROOT=/home/apache/srs
export SRSROOT
if [ -r "$SRSROOT/etc/templ-prep_srs.sh" ]; then 
. $SRSROOT/etc/templ-prep_srs.sh
fi
fi



export PBS_HOME="/var/spool/pbs"
export PBS_O_WORKDIR="##-WORKDIRECTORY-##"
export PATH="/master/software/mpi/bin:$PATH:/usr/local/bioinf/wu-blast"
export WISECONFIGDIR="/usr/local/bioinf/wise/wisecfg"
cd $PBS_O_WORKDIR
#
#
#
export FASTLIBS="/netapp/SRS/fastlibs"
export BLASTMAT="/usr/local/bioinf/ncbi-blast/ncbi-blast/matrices"
export WUBLASTMAT="/master/software/bioinfo/wu-blast/matrix/"
#
#
#
#echo "--------------------------------------------"
#echo "Working directory is $PBS_O_WORKDIR"
#echo "Running on host `/bin/hostname`"
#echo "Time is `/bin/date`"
#echo "Directory is `/bin/pwd`"
#echo "--------------------------------------------"

#
##-COMMAND-## >  ##-STD_OUTPUTFILE-## 2> ##-STD_ERRORFILE-##
echo "$?" > ##-DONEFILE-##
#
#
#
