# .bashrc

# User specific aliases and functions

# Source global definitions
if [ -f /etc/bashrc ]; then
	. /etc/bashrc
fi

if [ -f /etc/bashrc ]; then
	. /etc/bashrc
fi

#
# PVM SETTINGS zur lokalen Installation
#
export PVM_ROOT="/master/software/pvm"
export PVM_ARCH="LINUX"
#export PVM_TMP="$PVM_ROOT/tmp"
export PVM_DPATH="$PVM_ROOT/lib/pvmd"
export PVM_TMP="/tmp"
export PVM_RSH="/usr/bin/rsh"
export RSHCOMMAND="/usr/bin/rsh"
export PATH=$PVM_ROOT/bin/LINUX:$PVM_ROOT/lib/LINUX:$HOME:./:$PATH:$HOME/scripts:~/bin
export XPVM_ROOT="$PVM_ROOT/xpvm"
export ARCH="LINUX"

#
# MPI
#
export MPI_HOME="/master/software/mpi"
export MPI_ROOT="/master/software/mpi"
export rshcommand="/usr/bin/rsh"
export MPI_USEP4SSPORT="yes"
export MPI_P4SSPORT="1234"
export PATH="$PATH:$MPI_HOME/bin:$MPI_HOME/sbin"
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/$MPI_HOME/lib"

# echo "NODESFILE: $PBS_NODEFILE"
# cat $PBS_NODEFILE