<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 * Date   :
 * Description
 */
class matrix_class {
 

  var $DBs_=array();
  var $BLASTARRAY_=array(
                        "Default"=>"BL62",
                        "Blosum50"=>"BL50",
                        "Blosum62"=>"BL62",
                        "Blosum80"=>"BL80",
                        "Pam250"=>"P250",
                        "Pam120"=>"P120",
                        "MD20"=>"M20",
                        "MD10"=>"M10"
                        );

  var $WUBLASTARRAY_=array(
                        "Default"=>"blosum62",
 "blosum100" => "blosum100",
 "blosum30" => "blosum30",
 "blosum35" => "blosum35",
 "blosum40" => "blosum40",
 "blosum45" => "blosum45",
 "blosum50" => "blosum50",
 "blosum55" => "blosum55",
 "blosum60" => "blosum60",
 "blosum62" => "blosum62",
 "blosum65" => "blosum65",
 "blosum70" => "blosum70",
 "blosum75" => "blosum75",
 "blosum80" => "blosum80",
 "blosum85" => "blosum85",
 "blosum90" => "blosum90",
 "blosumn" => "blosumn",
 "dayhoff" => "dayhoff",
 "gonnet" => "gonnet",
 "identity" => "identity",
 "match" => "match",
 "NUC.4.2" => "NUC.4.2",
 "NUC.4.4" => "NUC.4.4",
 "pam10" => "pam10",
 "pam100" => "pam100",
 "pam110" => "pam110",
 "pam120" => "pam120",
 "pam120.cdi" => "pam120.cdi",
 "pam130" => "pam130",
 "pam140" => "pam140",
 "pam150" => "pam150",
 "pam160" => "pam160",
 "pam160.cdi" => "pam160.cdi",
 "pam170" => "pam170",
 "pam180" => "pam180",
 "pam190" => "pam190",
 "pam20" => "pam20",
 "pam200" => "pam200",
 "pam200.cdi" => "pam200.cdi",
 "pam210" => "pam210",
 "pam220" => "pam220",
 "pam230" => "pam230",
 "pam240" => "pam240",
 "pam250" => "pam250",
 "pam250.cdi" => "pam250.cdi",
 "pam260" => "pam260",
 "pam270" => "pam270",
 "pam280" => "pam280",
 "pam290" => "pam290",
 "pam30" => "pam30",
 "pam300" => "pam300",
 "pam310" => "pam310",
 "pam320" => "pam320",
 "pam330" => "pam330",
 "pam340" => "pam340",
 "pam350" => "pam350",
 "pam360" => "pam360",
 "pam370" => "pam370",
 "pam380" => "pam380",
 "pam390" => "pam390",
 "pam40" => "pam40",
 "pam400" => "pam400",
 "pam40.cdi" => "pam40.cdi",
 "pam410" => "pam410",
 "pam420" => "pam420",
 "pam430" => "pam430",
 "pam440" => "pam440",
 "pam450" => "pam450",
 "pam460" => "pam460",
 "pam470" => "pam470",
 "pam480" => "pam480",
 "pam490" => "pam490",
 "pam50" => "pam50",
 "pam500" => "pam500",
 "pam60" => "pam60",
 "pam70" => "pam70",
 "pam80" => "pam80",
 "pam80.cdi" => "pam80.cdi",
 "pam90" => "pam90",
 "phat_t70_b66" => "phat_t70_b66",
 "phat_t75_b73" => "phat_t75_b73",
 "phat_t80_b78" => "phat_t80_b78",
 "phat_t85_b82" => "phat_t85_b82"
                        );

   function matrix_class($type)
   {
     switch ($type)
     {    
        case "blast": $this->DBs_=$BLASTARRAY_;
	break;
     }
   }

   function print_blast_matrix()
   {
     echo "<select name = \"matrix\">";
     foreach(array_keys( $this->BLASTARRAY_ ) as $pmatrix_key)
     {
       echo "<option> $pmatrix_key";
     }
     echo "</select>";
   }
            
   function print_wu_blast_matrix()
   {
     echo "<select name = \"matrix\">";
     foreach(array_keys( $this->WUBLASTARRAY_ ) as $pmatrix_key)
     {
       echo "<option> $pmatrix_key";
     }
     echo "</select>";
   }

   
   function get_value_from_blast_matrix($key)
   {
     return $this->BLASTARRAY_[$key];
   }
   
   function print_pmatrix_array($pmatrix_array)
   {
     echo "<select name = \"matrix\">";
     foreach(array_keys( $pmatrix_array ) as $pmatrix_key)
     {
       echo "<option> $pmatrix_key";
     }
     echo "</select>";
   }
}
?>