<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 * Date   :
 * Description
 */
 
// We have two different parameters to a output class:
// if the hostname should be printed,,
// if only <tr></tr> pairs without a outer table should be printed 
class output_class
{
 
  var $DESCR_ = 0;
  var $ROWSONLY_ = 0;   
  /*
     Constructor
  */
  function output_class( $desc, $rowsonly )
  {
    $this->DESCR_=$desc;
    $this->ROWSONLY_=$rowsonly;
  }

/*
  function output_class( $nodesc )
  {
    if (strcop($nodesc, "nodescription")==0) 
      $this->DESCR_=0;
    else
      $this->DESCR_=1;
  }

  function output_class()
  {
    // comment: This sucks. the cunstructors above call that one every time.
    // So everything in here gets executed, regardless of what constructor got called
    $this->DESCR_=1; 
    // $this->ROWSONLY_ = 0;
  }
*/  
  function printCPUStatus( $cpus, $ip ) 
  {
    global$config;
    $ip_arr = explode(".",$ip);
    $hostnum = $ip_arr[3]-$config['IP_OFFSET'];
    $hostname = sprintf("%s%d:", $config['NODENAME_PREFIX'],$hostnum);
    //    $cpucount = count($cpus);
    if ($this->ROWSONLY_==0 ) echo "<table border=0>\n";
    echo "<tr>";
    if ( $this->DESCR_ == 1 ) echo "<td>$hostname</td>";

    if ( $cpus == null )
    {
       echo "<td align=center>No Valid Data, Error conntacting NODE</td>";
    }
    else
    {
      foreach (array_keys($cpus) as $cpu) 
      {
	printf("<td align=center><img src=\"bar.php?percentage=%d\" alt=\"%d%%\"></td>",$cpus[$cpu], $cpus[$cpu]);
      }
    }
    echo "</tr>";
    if ($this->ROWSONLY_ == 0) echo "</table>\n";
  }

  function printLoadStatus( $load )
  {

    if ( $load == null )
    {
       echo "<td align=center>No Valid Data, Error conntacting NODE</td>";
    }
    else 
    {
      if ( $this->DESCR_ == 1 )
      { 
        echo "<table border=0 >";  
        echo "<tr><td align=center>1Min</td><td align=center>5Min</td><td align=center>10Min</td></tr>"; 
        echo "<tr>";
      }
      
      echo "
          <td>
            ";
    
      printf ("<img src=\"bar.php?percentage=%s\" alt= \"%s %%\">", ($load["1min"] / 2 * 100), ($load["1min"] / 2 * 100));
 
      echo "
        </td>
        <td>
            ";
      printf ("<img src=\"bar.php?percentage=%s\" alt=\" %s %%\">", ($load["5min"] / 2 * 100), ($load["5min"] / 2 * 100));
      echo "
        </td>
        <td>
            ";
     printf ("<img src=\"bar.php?percentage=%s\" alt=\" %s %%\">", ($load["15min"] / 2 * 100), ($load["15min"] / 2 * 100));
   }
   echo "</td>";
      
   if ( $this->DESCR_ == 1 )
      { 
      echo "
         </tr>
      </table>
     ";
     }
 } 

 function printDiskStatus( $disks )
 {
    
    if ( $this->DESCR_ == 1 ) 
      echo "<table border=0 cellpadding=2 cellspacing=5>";  
    else
      echo "<table border=0>\n";

    if ( $disks == null )
    {
       echo "<td align=center>No Valid Data, Error conntacting NODE</td>";
    }
    else
    {
      if ( $this->DESCR_ == 1 ) echo "<tr><td align=center>Device</td><td align=center>Mountpoint</td><td align=center>Usage</td></tr>";
      foreach ($disks as $disk)
      {
        printf("<tr><td>%s</td> <td>%s</td> <td><img src=\"bar.php?percentage=%s\" alt=\" %s\"></td></tr>\n", $disk["device"], $disk["mountpoint"],str_replace("%", "", $disk["perc"]), $disk["perc"]);
      }
    }
    echo 
    "
    </table>\n
    ";
 }
 
 function printUptimeStatus($uptime)
 {
    if ( $uptime == null )
    {
      if ( $this->ROWSONLY_ == 1 ) 
       echo "<td align=center>No Valid Data, Error conntacting NODE</td>";
      else
       echo "No Valid Data, Error conntacting NODE";      
    }
    else  
    {
      if ( $this->DESCR_ == 1 ) 
        printf ("%s Tage %s Stunden %s Minuten %s Sekunden<br>\n", $uptime["days"], $uptime["hours"], $uptime["minutes"], $uptime["seconds"]);
      else
        printf ("<td align=center>%s</td><td align=center>%s</td><td align=center>%s</td><td align=center>%s</td>", $uptime["days"], $uptime["hours"], $uptime["minutes"], $uptime["seconds"]);
    }      
 } 

 function printMemStatus($mem)
 {
    if ( $mem == null )
    {
       echo "No Valid Data, Error conntacting NODE<br>";
    }
    else  
    {
      printf("<img src=\"bar.php?percentage=%0.4d\" alt=\" %s\"><br>\n", $mem["percentage"], $mem["percentage"]);
    }
 } 
   
}
?>
