<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 *          Dietmar Rieder, dietmar.rieder@tugraz.at
 * Date   :
 *
 * Description:
 *     This class can be used as interface API to the clustercontrol backend
 *     in order to define, submit and view the results within the framework
 *
 */
   
class run_module_class_factory 
{

  function createSimpleRunModuleClass($user, $program)
  {
    global $config;
    return new run_module_class($user, $program, 'defaultname', $config['queueing_system']);  
  }

  function createRunModuleClass($user, $program, $jobname)
  {
    global $config;
    return new run_module_class($user, $program, $jobname, $config['queueing_system']);  
  }

  function createRunModuleClassWithQueue($user, $program, $jobname, $queueingsystem)
  {
    return new run_module_class($user, $program, $jobname, $queueingsystem);
  }


}

?>
