<?php
 /*
  * Project: ClusterControl
  * Version: 2.0
  * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
  *          Dietmar Rieder, dietmar.rieder@tugraz.at
  * Date   :
  */
  require_once("config/main_config.inc.php");
  require_once("inc/authentication_header.php");
  
  if (array_key_exists('ip',$_GET))
  {
    $ip=urldecode($_GET['ip']);
  }
  else
  {
    $ip="192.168.101.0";
  }  
?>
<html>
<head>
 <META http-equiv="refresh" content="10;url=nodes_node_info.php?ip=<?php print "$ip";?>">
 <meta http-equiv="Content-Style-Type" content="text/css">
 <link REL="STYLESHEET" HREF="Genome.css" type="text/css">
</head>
<body bgcolor="#FFFFFF" text="#000000" vlink="#999999" alink="#999999" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="30" width="30" valign="top"></td>
  </tr>
  <tr>
    <td width="100%" valign="top" align=center>
      <br> 
        <table width="500" border="0" cellspacing="1" class="StandardTable">
         <tr>
          <td colspan="2" class="StandardTableHead">Node-IP: <?php print($ip); ?></td>
         </tr>
         <tr>
          <td width="649" class="StandardTableCellOdd" align=center>
<?php 
             require_once("inc/lib_include.php"); 
             $NodeInfo = new cluster_node_com($ip, "9090");
             $output = new output_class(1,0);
           
             $result=$NodeInfo->getSystemStatus();  
             echo "<table cellpadding=5 cellspacing=5><tr><td>";
             echo "<img src=\"png/cpu.png\" alt=cpu>"; 
             echo "</td><td>";
             $output->printCPUStatus($result["cpu"], $ip);
             echo "</td></tr><tr\"><td>";
             echo "<img src=\"png/xload.png\" alt=load>"; 
             echo "</td><td>";
             $output->printLoadStatus($result["load"]);
             echo "</td></tr><tr><td valign=top>";
             echo "<img src=\"png/hdd.png\" alt=disk>"; 
             echo "</td><td>";
             $output->printDiskStatus($result["disk"]);
             echo "</td></tr><tr><td>";
             echo "<img src=\"png/memory.png\" alt=mem>"; 
             echo "</td><td>";
             $output->printMemStatus($result["mem"]);
             echo "</td></tr><tr><td>";
             echo "<img src=\"png/karm.png\" alt=uptime>"; 
             echo "</td><td>";
             $output->printUptimeStatus($result["uptime"]);
             echo "</td></tr>";
             echo "</table>";
?>
	  </td>
         </tr>
       </table>
     </td>
  </tr>
</table>

</body>
</html>