<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 *          Dietmar Rieder, dietmar.rieder@tugraz.at
 * Date   :    
 */
 require_once("config/main_config.inc.php");
 require_once("inc/authentication_header.php"); 

 if (array_key_exists("mode",$_GET))
 {
   $mode = $_GET['mode'];
 }
 else
 {
   $mode=false;
 }
 if ( ! $mode ) 
 { 
  $mode=$config['DEFAULT_START_MODE'];
 }
?>
        
<html>
<head>
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link REL="STYLESHEET" HREF="Genome.css" type="text/css">
</head>

<?php
  if ( strcmp($mode,"nodes") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_nodes.php");
  }
  elseif ( strcmp($mode,"cluster") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_cluster.php");
  }
  elseif ( strcmp($mode,"applications") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_applications.php");
  }
  elseif ( strcmp($mode,"jobs") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_jobs.php");
  }
  elseif ( strcmp($mode,"admin") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_admin.php");
  }
  elseif ( strcmp($mode,"about") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_about.php");
  }
  elseif ( strcmp($mode,"home") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_home.php");
  }
  elseif ( strcmp($mode,"chromo") == 0 )
  {
    require_once($config['INC_PATH_'] . "/mode_chromo.php");
  }
  else
  {
    require_once($config['INC_PATH_'] . "/logo.php");
  }
?>

</html>

