<?php
 /*
  * Project: ClusterControl
  * Version: 2.0
  * Authors: Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
  *          Dietmar Rieder, dietmar.rieder@tugraz.at
  * Date   :
  */
  require_once("config/main_config.inc.php");
  require_once("inc/authentication_header.php");

  if(!isset($_SESSION['admin_user']))
  {
    $s_id = session_id();
    session_unset();
    session_destroy();
    $url = $config['DEFAULT_URL'] . "?session=" . $s_id;
    setcookie("PHPSESSID", "", time() - 3600, "/");
    Header("Location: $url");
    exit;
  }

?>

<html>
<head>
  <title>Add user</title>
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link REL="STYLESHEET" HREF="Genome.css" type="text/css">
</head>
<body bgcolor="white">

  <form action="admin_adduser.php">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
   <tr>
    <td height="30" width="30" valign="top"></td>
   </tr>
   <tr>
    <td width="100%" valign="top" align=center>
     <br>
     <table width="580" border="0" cellspacing="0" class="StandardTable" border=1>
      <tr>
        <td class="StandardTableHead" colspan="2">Add a new user to the local password file:</td>
      </tr>
      <tr><td class="StandardTableCellOdd" align="center">
      <table cellpadding="0" cellspacing="0">
      <tr>
        <td class="StandardTableCellOdd">Username:</td>
        <td class="StandardTableCellOdd" align="left"><input type="text" name="new_user"></td>
      </tr>
        <td class="StandardTableCellOdd">Password:</td>
        <td class="StandardTableCellOdd" align="left"><input type="password" name="new_user_password"></td>
      </tr>
      <tr>
        <td colspan="2" align="center"><input type="submit" value="add user"></td>
      </tr>
      </table>
      </td></tr>
     </table>
    </td>
   </tr>
  </table>

  </form>
</body>
</html>
