<?php
 /*
  * Project: ClusterControl
  * Version: 2.0
  * Authors: Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
  *          Dietmar Rieder, dietmar.rieder@tugraz.at
  * Date   :
  */

require_once("config/main_config.inc.php");
require_once("inc/authentication_header.php");
require_once("lib/admin_class.php");


if(!isset($_SESSION['admin_user']))
{
    $s_id = session_id();
    session_unset();
    session_destroy();
    $url = $config['DEFAULT_URL'] . "?session=" . $s_id;
    setcookie("PHPSESSID", "", time() - 3600, "/");
    Header("Location: $url");
    exit;
}



if (
     (array_key_exists('new_user',$_GET)) && 
     (array_key_exists('new_user_password',$_GET))
   )
{
   $new_user=$_GET['new_user'];
   $new_user_password=$_GET['new_user_password'];
}


if (
     (array_key_exists('new_user',$_POST)) && 
     (array_key_exists('new_user_password',$_POST))&&
     (!isset($new_user))
   )
{
   $new_user=$_POST['new_user'];
   $new_user_password=$_POST['new_user_password'];
}

if((isset($new_user)) &&
   (!empty($new_user)) &&
   (isset($new_user_password)) &&
   (!empty($new_user_password))
  ) 
{

    $admin = new admin();

    if($admin->check_username($new_user))
    {
	$result = $admin->adduser($new_user, $new_user_password);
	if($result == true)
	{
	    $result = "ok";
	}
	include("inc/admin_adduser_result.php");
    }
    else
    {
	include("inc/admin_adduser_name_error.php");
    }
}
else {
    include("inc/admin_adduser_form_error.php");
}

?>
