<?php
 /*
  * Project: ClusterControl
  * Version: 2.0
  * Authors: Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
  *          Dietmar Rieder, dietmar.rieder@tugraz.at
  * Date   :
  */
require_once("config/main_config.inc.php");
require_once("inc/authentication_header.php");
require_once("lib/admin_class.php");


if(!isset($_SESSION['admin_user']))
{
    $s_id = session_id();
    session_unset();
    session_destroy();
    $url = $config['DEFAULT_URL'] . "?session=" . $s_id;
    setcookie("PHPSESSID", "", time() - 3600, "/");
    Header("Location: $url");
    exit;
}


$admin = new admin();
$res = $admin->get_users();
if($res == true)
{
	$result = "ok";
}
include("inc/admin_listuser_result.php");

?>
