<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 * Date   :
 * Description
 */
require_once("config/main_config.inc.php");
require_once("inc/authentication_header.php");

if (array_key_exists('total',$_GET))
{
    $total=urldecode($_GET['total']);
}
else
{
    $total=100;
}
if (array_key_exists('width',$_GET))
{
    $width=urldecode($_GET['width']);
}
else
{
    $width=100;
}
if (array_key_exists('heigth',$_GET))
{
    $heigth=urldecode($_GET['heigth']);
}
else
{
    $heigth=12;
}
if (array_key_exists('percentage',$_GET))
{
    $percentage=urldecode($_GET['percentage']);
}
else
{
    $percentage=0;
}

function writePercentBar($taken, $total, $width, $height) 
{

	if ($taken>$total) $taken=$total;
	$bar_end = $taken*$width/$total;
	
	$im = ImageCreate ($width, $height);
	// $background_color = ImageColorAllocate ($im, 255, 255, 255);
	$background_color = ImageColorAllocate ($im, 0, 0, 0);
	// $text_color = ImageColorAllocate ($im, 255, 255, 255);
	$text_color = ImageColorAllocate ($im, 255, 255, 255);

	$free_color = ImageColorAllocate ($im, 120, 120, 130);
	//$free_color = ImageColorAllocate ($im, 255, 0, 0);
				 
	$percent=$taken*100/$total;
				     
	$taken_color = ImageColorAllocate ($im, 0, 153, 0);
	//$taken_color = ImageColorAllocate ($im, 0, 255, 0);
	

	ImageFilledRectangle($im, 0, 0, $bar_end, $height, $taken_color);
	ImageFilledRectangle($im, $bar_end+1, 0, $width-1, $height-1, $free_color);

	ImageString ($im, 3, 7, $height/2-7, $taken."%", $text_color);

	Header("Content-type: image/png");
	ImagePng($im);
}
writePercentBar( $percentage, $total, $width, $heigth);
?>
