<?php

 /*
  * Project: ClusterControl
  * Version: 2.0
  * Authors: Gernot Stocker, gernot.stocker@tugraz.at
  *          Dietmar Rieder, dietmar.reider@tugraz.at
  * Date   :
  * Description
  */
 
  ###############################################################################
  #
  # LOCAL EXECUTION CONFIGURATION SECTION
  #
  ###############################################################################
  #
  # Path to the SGE binaries for jobsubmission and control
  #
  $config['local_qsub_command_']       = '/usr/local/bioinf/bin/jmsqsub';
  $config['local_qstat_command_']      = 'ps';
  $config['local_nodes_command_']   = '';
  #
  # Default setting, how many nodes are used for parallel application if there
  # is nothing specified
  #
  $config['local_default_nodes_amount_']      = "1";        
  #
  # Path to the MPICH starting command
  #
  $config['local_mpirun_command_']     = '/master/software/mpi/bin/mpirun';
  #
  # Directory where all jobs from the users are stored, EDIT THIS PATH!!!!!!!!
  #
  $config['local_jobs_dir_']           = '/home/apache/clustercontrol/sge-jobs';
  
  #
  # Shell templates that are used to create the start scripts for the job submission
  # Dont change the PBS specific templates unless you know what you are doing.
  #
  $config['local_input_template_']     = $config['INC_PATH_'] . "/local_script_template.sh";
  $config['local_shell_settings_']     = $config['INC_PATH_'] . "/bashrc.sh";

?>
