#### Queue name (small, medium, long, verylong)
#PBS -q ##-QUEUENAME-##
#
#  Job of ##-USERNAME-## at ##-WORKDIRECTORY-##
#
#### Jobdescription at qstat
#PBS -N ##-DESCRIPTION-##
#
#### Mail to user
#PBS -m be
#
#### Number of nodes (node property ev6 wanted)
#PBS -l nodes=##-NODES-##
#
#### Error Outputfile
#PBS -e ##-ERROROUTPUT-##
#
#### Outputfile
#PBS -o ##-LOGOUTPUT-##
#
#
. /usr/local/bin/use-mpich124-gcc.sh
#### Environment variables
export PBS_HOME="/var/spool/pbs"
export PBS_O_WORKDIR="##-WORKDIRECTORY-##"
export PATH="/master/software/mpi/bin:$PATH:/usr/local/bioinf/wu-blast" 
cd $PBS_O_WORKDIR
#
#
#
export FASTLIBS="/netapp/SRS/fastlibs"
export BLASTMAT="/usr/local/bioinf/ncbi-blast/matrices"
export WUBLASTMAT="/usr/local/bioinf/wu-blast/matrix"
#
#
#
echo "--------------------------------------------"
echo "Working directory is $PBS_O_WORKDIR"
echo "Running on host `/bin/hostname`"
echo "Time is `/bin/date`"
echo "Directory is `/bin/pwd`"
echo "--------------------------------------------"
