<?php 
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 * Date   :
 * Description
 */
class programs_class
{
  var $Config_=array();
  var $DataBases_=array();
  var $Programs_=array();
  function programs_class()
  {
    if ( file_exists("conf/programs.conf") )
    {
      $this->readProgramFile("conf/programs.conf");
    }
    
  }
    
  function readProgramFile( $filename )
  {
    if ( $program_file=@file($filename) )
    {
      foreach( $program_file as $line )
      {
        $line=trim($line);
	if ( (! strstr($line, "#")) && $line)
        {
	  $program=array();
          $split_array=split(":", $line);
	  $program_name=trim($split_array[0]);

	  $program['name']=$program_name;
	  $program['full_programmpath']=trim($split_array[1]);
	  $program['default_arguments']=trim($split_array[2]);

	  $this->Programs_[ $program_name ] = $program;
	}
      }
    }
    else
    {
     echo "<br><blink>NO $filename</blink><br><br>";
    }

  }

  function printPrograms()
  {
    if (count($this->Programs_) == 1)
    {
      foreach ( array_keys( $this->Programs_ ) as $program_name )
      {    
         echo "<input type=\"hidden\" name=\"program\" value=\"".$program_name."\">";
      };
    }    
    else
    {
       echo "<select name = \"program\">\n";
       foreach ( array_keys( $this->Programs_ ) as $program_name )
       {
  	 echo "       <option> ".$program_name."\n";
       };
       echo "    </select><br><br>\n";
    };
    echo "<br><br>\n";
    
    
    /*
    foreach ( array_keys( $this->Programs_ ) as $program_name )
    {
        $test=($this->Programs_[$program_name]);
        foreach ( array_keys( $test) as $program_arg )
        {
          echo "ARG".$program_arg."=".$test[$program_arg]."<br>\n";
	}   
	echo "FPP: $program_name ".$test[full_programmpath]." <br>";
    }
    */
  }
  
  function getProgramData($Program)
  {
    return $this->Programs_[$Program];
  }


  function InternalAddNewProgram($new_program_name)
  {
    $this->addNewProgram($new_program_name, $new_program_name,"");
    // $this->printPrograms();
  }

  function addNewProgram($new_program_name, $new_program_path, $new_default_arguments)
  {
      $program=array();
      $program['name']=$new_program_name;
      $program['full_programmpath']=$new_program_path;
      $program['default_arguments']=$new_default_arguments;
      // echo "WAR DA!!!!!!!!!!!";
      $this->Programs_[ $new_program_name ] = $program;
  }
  
}
?>
