<?php
/*
 * Project: ClusterControl
 * Version: 2.0
 * Author : Gernot Stocker, gernot.stocker@tugraz.at (c) 2006
 * Date   :
 */
    require_once("config/main_config.inc.php");

    session_start();    
    if(!(isset($_SESSION['authenticated'])) && ($_SESSION['authenticated'] != 1)) {
	$done=0;
	$authenticated=0;

    

	$PHP_AUTH_USER=$_POST['PHP_AUTH_USER'];
	$PHP_AUTH_PW=$_POST['PHP_AUTH_PW'];					    

	$_SESSION['PHP_AUTH_USER'] = $PHP_AUTH_USER;
	$_SESSION['PHP_AUTH_PW'] = $PHP_AUTH_PW;
    } else  {
	$authenticated=1;
    }

    if( (isset($_COOKIE["PHPSESSID"])) && ($_COOKIE["PHPSESSID"] != $_GET['session']) )
    {
	Header("Location: " . $config['DEFAULT_URL']);
	exit;
    }

    if (!isset($_SESSION["authenticated"]) || ($_SESSION["authenticated"] != 1))
    {
      /*
         Filebased authentication
       */
      if ( file_exists ($config['PASSWD_FILE']) && is_readable ($config['PASSWD_FILE']))
      { 
         $passwd_file=file($config['PASSWD_FILE']);
	 foreach($passwd_file as $passwd_line) 
	 {
	    $passwd_array = explode(":",$passwd_line);
	    $stored_crypt_passwd = chop($passwd_array[1]);
	    $salt = substr($stored_crypt_passwd, 0, 2);
	    $submitted_crypt_pwd = crypt($PHP_AUTH_PW, $salt);
	    if(
	       (strcmp($PHP_AUTH_USER,chop($passwd_array[0]))==0) && 
	       (strcmp($submitted_crypt_pwd, $stored_crypt_passwd)==0)
	      )
	    {
              $authenticated=1;
	      $_SESSION['authenticated'] = 1;
	      if(strcmp($PHP_AUTH_USER, $config['ADMIN_USER']) == 0)
	      {
	        $admin_user = true;
		$_SESSION['admin_user'] = $PHP_AUTH_USER;
	      }
	      break;
	    } 
	    
	 }
      }


    /* 
      if not yet authenticated, lets try an LDAP auth
     */
      if (($authenticated != 1) && $config['LDAP_AUTH'])
      {

        $ldap_connection=ldap_connect($config['LDAP_SERVER']);
        if ($ldap_connection && (strcmp($PHP_AUTH_PW,"")!=0))
        {
    	    $CONTEXT="uid=" . $PHP_AUTH_USER . "," . $config['LDAP_CONTEXT'];
    	    if ( (@ldap_bind($ldap_connection, $CONTEXT, $PHP_AUTH_PW)) == TRUE )
    	    {
    		$authenticated=1;
	        $_SESSION['authenticated'] = 1;
	        if(strcmp($PHP_AUTH_USER, $config['ADMIN_USER']) == 0)
	        {
	    	    $admin_user = true;
		    $_SESSION['admin_user'] = $PHP_AUTH_USER;
	        }
  		$done++;
    	    }
    	    ldap_close($ldap_connection);
        }      
       }
    }

    /* if still not authenticated, return to login  */
    if ( $authenticated != 1 )
    {
      session_unset();    
      session_destroy();
      Header("Location: " . $config['DEFAULT_URL']);
      exit;
    }

?>

<html>
  <head>
    <title>PHP-CControl</title>
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link REL="STYLESHEET" HREF="Genome.css" type="text/css">
  </head>
  <frameset cols="1000,*" frameborder="0"  framespacing="0" border="0">
     <frameset rows="100,*,20" frameborder="0" framespacing="0" border="0">
       <frame src="index_top.html" name="main_top" scrolling="no">^
     <frameset rows="24,*" frameborder="0" framespacing="0" border="0">
        <frame scrolling=no src="modes.php" name="Menu"      frameborder=0>
        <frame scrolling=no src="workspace.php?mode=chromo" name="content"   frameborder=0>
  <noframes>
    <body>
    <p>... Information im normalen HTML-Format ... </p>
    </body>
  </noframes>
 </frameset>
</frameset>
</frameset>
</html>
